Search documentation of grizzly

# View Source Grizzly.ZWave.Commands.SwitchMultilevelSet (grizzly v7.4.2)

Module for the SWITCH_MULTILEVEL_SET

Params:

- `:target_value` - '`:off`, `:previous` or a value between 0 and 99
- `:duration` - How long the switch should take to reach target value,
  - 0 -> instantly
  - 1..127 -> seconds
  - 128..254 -> minutes + 127
  - 255 -> factory default (option v2)

# Summary

## Types

param()

## Functions

encode_target_value(target_value)

# Types

Link to this type

# param()

View Source

    @type param() :: {:target_value, :off | :previous | 0..99} | {:duration, 0..255}

# Functions

Link to this function

# encode_target_value(target_value)

View Source